LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XCell2 Interface Reference

extends XCell methods to access the contents of a cell in a table. More...

`import"XCell2.idl";`

Inheritance diagram for XCell2:

## Public Member Functions
void | setFormulaResult ([in] double nValue)
| sets a formula result into the cell. More...
void | setFormulaString ([in] string aFormula)
| sets a formula string into the cell. More...
Public Member Functions inherited from XCell
string | getFormula ()
| returns the formula string of a cell. More...
void | setFormula ([in] string aFormula)
| sets a formula into the cell. More...
double | getValue ()
| returns the floating point value of the cell. More...
void | setValue ([in] double nValue)
| sets a floating point value into the cell. More...
com::sun::star::table::CellContentType | getType ()
| returns the type of the cell. More...
long | getError ()
| returns the error value of the cell. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends XCell methods to access the contents of a cell in a table.

See Also
  com::sun::star::table::Cell

## Member Function Documentation

void setFormulaResult | ( | [in] double | nValue | ) |

sets a formula result into the cell.

When assigned, the formula cell's result will be set to this value and will not be calculated - unless a HardRecalc is executed.

void setFormulaString | ( | [in] string | aFormula | ) |

sets a formula string into the cell.

When assigned, the formula is set into the string. But is not compiled, tokenized or calculated. Its useful when loading a document and setFormulaResult() is used. Otherwise it is compiled on trying to fetch a result value.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XCell2.idl